Subject: Re: Query: Regarding 8211E Phy module support in drivers/net/phy

From: Giuseppe CAVALLARO <[email-masked]>
Date: Wed, 14 Aug 2013 16:07:40 +0200

On 8/2/2013 8:50 PM, Sharma Bhupesh-B45370 wrote:
> Hi Peppe,
>
> This regarding the patch prepared by you for adding RTL8211E support in
> drivers/net/phy/realtek.c
>
> commit ef3d90491a15f0d5cf1ec39a38a45dac6968fb2a
> Author: Giuseppe CAVALLARO <[email-masked]>
> Date:   Wed Jan 23 00:30:03 2013 +0000
>
>      net: phy: realtek: add rtl8211e driver
>
>      This patch adds the minimal driver to manage the
>      Realtek RTL8211E 10/100/1000 Transceivers.
>
> I see a macro specific to 8211E:
> +#define        RTL8211E_INER_LINK_STAT 0x10
>
> I was having a look at the RTL8211E(G) datasheet and could see
> the following bit positions for INER register (Address 0x12):
>
> [7:1] as Reserved
> [0] as Jabber Interrupt
>
> If I am not wrong a value 0x10 written to the INER register tries to set bit [4] which seems
> Reserved.

Hello Sharma
you are right RTL8211E_INER_LINK_STAT should be 0x400
I will test it again (just to find the hw) and prepare/send a new patch.

Many thanks

peppe

>
> Or am I missing something here.
> Please let me know your views on the same.
>
> Thanks,
> Bhupesh
>
>
>